eole-bacula - Evolution #3456

L'agent Zéphir "baculaservices" devrait étre conditionné par "activer_bacula"
05/11/2012 10:43 AM - Joél Cuissinat

Status: Fermé Start date: 05/11/2012
Priority: Normal Due date:

Assigned To: Joél Cuissinat % Done: 100%
Category: Estimated time: 0.50 hour
Target version: Mises a jour 2.3.5 RC Spent time: 1.25 hour
Distribution: EOLE 2.3

Description

Si "activer_bacula" est a "non", la consultation de I'agent montre un tableau vide.

Associated revisions

Revision b1fbd10a - 05/11/2012 03:25 PM - Joél Cuissinat
Correction des agents de surveillance des services Bacula
® zephir/bacula.agent : enrichissement et intégration du "méta-agent”
e zephir/baculaservices.agent : fichier supprimé (fusionné avec bacula.agent)

e zephir/bacula/*.srv : fichiers supprimés (code inutilisé)
Fixes #3456 @1h

History

#1 - 05/11/2012 12:47 PM - Benjamin Bohard

baculaservices.agent se contente de lister les fichiers bacula/*.srv, utilise le nom du fichier qui correspond au nom du service comme argument pour
BaculaServices().

Le code des fichiers .srv n'est pas utilisé.

#2 - 05/11/2012 01:16 PM - Benjamin Bohard

# —*- coding: UTF-8 —*-
nmnwn

import glob
from os.path import join, basename, splitext

from zephir.monitor.agents.baculaservices import BaculaServices
from zephir.lib_zephir import zephir_dir

from creole.parsedico import parse_dico

dico = parse_dico ()

# récupération de la liste des agents a inclure

agents = []
if dico['activer_bacula'] == 'oui':
if dico['activer_bacula_dir'] == 'oui':
agents.append('bacula-dir'")
agents.append('bacula-£fd’'

)
if dico['activer_bacula_sd'] == 'oui':
agents.append ('bacula-sd')

bacula_services = BaculaServices ('baculaservices', agents, period=15, description:'Etat des démons bacula'
, section="""Services""")
# liste des agents qui seront chargés
AGENTS = [bacula_services]

else:
AGENTS = []

#3 - 05/11/2012 03:28 PM - Joél Cuissinat
- Status changed from Accepté to Résolu

- % Done changed from 0 to 100

Appliqué par commit b1fbd10a4fc5a05fd2ab8e1529a2d4c5f9¢c35d9a.

#4 - 05/29/2012 09:24 AM - Fabrice Barconniére

- Status changed from Résolu to Fermé
